<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

// no direct access
defined('_JEXEC') or die('');

// PHP version check
if (defined('PHP_VERSION'))
{
	$version = PHP_VERSION;
}
elseif (function_exists('phpversion'))
{
	$version = phpversion();
}
else
{
	// No version info. I'll lie and hope for the best.
	$version = '5.0.0';
}

// Old PHP version detected. EJECT! EJECT! EJECT!
if (!version_compare($version, '5.6.0', '>='))
{
	return;
}

if (!defined('FOF30_INCLUDED') && !@include_once(JPATH_LIBRARIES . '/fof30/include.php'))
{
	return;
}

// Let's load the container so our autoloader gets registered
FOF30\Container\Container::getInstance('com_ats');

/** @var   \Joomla\Registry\Registry  $params */
$layout      = $params->get('layout', 'default');
$showCredits = $params->get('showCredits', 1);
$showTime    = $params->get('showTime', 0);

if ($showCredits)
{
	@include JModuleHelper::getLayoutPath('mod_atscredits', $layout . '_credits');
}

if ($showTime)
{
	@include JModuleHelper::getLayoutPath('mod_atscredits', $layout . '_time');
}
